### Method

# ECal Component get_all_alarms

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_all_alarms (
      ECalComponent* comp
    )

#### Description [src]

Queries all alarm subcomponents of a calendar component. Free the returned `GSList` with g_slist_free_full (slist, e_cal_component_alarm_free);, when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `ECalComponentAlarm*`

The alarm subcomponents as a `GSList` of `ECalComponentAlarm`, or `NULL`, if no alarm exists.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.